Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.layout
Class JGoLayeredDigraphAutoLayoutLinkData

    java.lang.Object
      com.nwoods.jgo.layout.JGoLayeredDigraphAutoLayoutLinkData

All Implemented Interfaces:
  JGoAutoLayoutLinkData

public class JGoLayeredDigraphAutoLayoutLinkData
extends java.lang.Object
implements JGoAutoLayoutLinkData

Holds layered-digraph auto-layout specific data associated with each JGoNetworkLink in the JGoNetwork.

Field Summary
`boolean` | `forest` forest - true if the link is part of depth first forest; used in depthFirstSearchCycleRemoval()
`int` | `portFromColOffset` portFromColOffset - approximate column offset of the from port of the link from the from node column used in straightening
`int` | `portFromPos` portFromPos - location of the port at the from node of the link; allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports
`int` | `portToColOffset` portToColOffset - approximate column offset of the to port of the link from the to node column used in straightening
`int` | `portToPos` portToPos - location of the port at the to node of the link; allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports
`boolean` | `rev` rev - true if the link was reversed during cycle removal
`boolean` | `valid` valid - true if the link is part of the proper digraph; see makeProper() for details

Constructor Summary
`JGoLayeredDigraphAutoLayoutLinkData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valid

    public boolean valid

  valid - true if the link is part of the proper digraph; see makeProper() for details

### rev

    public boolean rev

  rev - true if the link was reversed during cycle removal

### forest

    public boolean forest

  forest - true if the link is part of depth first forest; used in depthFirstSearchCycleRemoval()

### portFromPos

    public int portFromPos

  portFromPos - location of the port at the from node of the link; allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports

### portToPos

    public int portToPos

  portToPos - location of the port at the to node of the link; allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports

### portFromColOffset

    public int portFromColOffset

  portFromColOffset - approximate column offset of the from port of the link from the from node column used in straightening

### portToColOffset

    public int portToColOffset

  portToColOffset - approximate column offset of the to port of the link from the to node column used in straightening

Constructor Detail

### JGoLayeredDigraphAutoLayoutLinkData

    public JGoLayeredDigraphAutoLayoutLinkData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD